Page MenuHomePhabricator

Bump symfony libraries when we no longer need hhvm support
Closed, ResolvedPublic

Description

After T192166 is done... We can bump to newer versions of the symfony libraries (>4.0) that don't have HHVM support [1]. This is in MW core, extensions, vendor, and the composer docker image we use for CI

[1] https://symfony.com/blog/symfony-4-end-of-hhvm-support

Details

Related Gerrit Patches:

Related Objects

StatusAssignedTask
ResolvedReedy
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
Openjijiki
Openawight
Openjijiki
ResolvedReedy
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedLegoktm
ResolvedMaxSem
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedDaimona
Resolvedsbassett
ResolvedDaimona
ResolvedDaimona
ResolvedKrinkle
ResolvedJdforrester-WMF

Event Timeline

Reedy created this task.Jun 2 2018, 12:12 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2018, 12:12 AM
Reedy changed the task status from Open to Stalled.Jun 2 2018, 12:12 AM
Reedy triaged this task as Low priority.
Vvjjkkii renamed this task from Bump symfony libraries when we longer need hhvm support to 5sbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii changed the task status from Stalled to Open.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 5sbaaaaaaa to Bump symfony libraries when we longer need hhvm support.Jul 2 2018, 8:29 AM
CommunityTechBot changed the task status from Open to Stalled.
CommunityTechBot lowered the priority of this task from High to Low.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Aklapper renamed this task from Bump symfony libraries when we longer need hhvm support to Bump symfony libraries when we no longer need hhvm support.Aug 29 2018, 8:57 AM
Daimona changed the task status from Stalled to Open.Oct 5 2019, 10:25 AM
Reedy raised the priority of this task from Low to Normal.Oct 5 2019, 12:58 PM
Reedy changed the task status from Open to Stalled.Oct 6 2019, 8:09 PM

https://github.com/symfony/symfony/blob/4.0/composer.json and https://github.com/symfony/symfony/blob/4.4/composer.json have ^7.1.3

https://github.com/symfony/symfony/blob/master/composer.json (to be 5.0 I guess) has ^7.2.9

https://github.com/symfony/symfony/commit/d94d9d792c445240cbaf80c7b413795b71aff718 - I wonder if there's any specific reason to select 7.2.9 as the min supported PHP 7.2, that dates to 16 Aug 2018, well before that commit in May

Something for us to bare in mind when we come to bumping to PHP 7.2

On https://github.com/symfony/symfony/blob/3.4/composer.json#L19 we're good with ^5.5.9|>=7.0.8

But of course, we only require PHP 7.0.0. I suspect most people will have a newer point release... But it does mean our require-dev symfony/yaml will conflict

Filing a separate task

Re-stalling as we have nothing to do until we bump to 7.2 (do we have a task for that to bump this against)

https://github.com/symfony/symfony/blob/4.0/composer.json and https://github.com/symfony/symfony/blob/4.4/composer.json have ^7.1.3
https://github.com/symfony/symfony/blob/master/composer.json (to be 5.0 I guess) has ^7.2.9
https://github.com/symfony/symfony/commit/d94d9d792c445240cbaf80c7b413795b71aff718 - I wonder if there's any specific reason to select 7.2.9 as the min supported PHP 7.2, that dates to 16 Aug 2018, well before that commit in May
Something for us to bare in mind when we come to bumping to PHP 7.2
On https://github.com/symfony/symfony/blob/3.4/composer.json#L19 we're good with ^5.5.9|>=7.0.8
But of course, we only require PHP 7.0.0. I suspect most people will have a newer point release... But it does mean our require-dev symfony/yaml will conflict
Filing a separate task
Re-stalling as we have nothing to do until we bump to 7.2 (do we have a task for that to bump this against)

Didn't we already do that with T216166: Drop PHP 7.1 support from MediaWiki?

Reedy added a comment.Oct 6 2019, 8:17 PM

https://github.com/symfony/symfony/blob/4.0/composer.json and https://github.com/symfony/symfony/blob/4.4/composer.json have ^7.1.3
https://github.com/symfony/symfony/blob/master/composer.json (to be 5.0 I guess) has ^7.2.9
https://github.com/symfony/symfony/commit/d94d9d792c445240cbaf80c7b413795b71aff718 - I wonder if there's any specific reason to select 7.2.9 as the min supported PHP 7.2, that dates to 16 Aug 2018, well before that commit in May
Something for us to bare in mind when we come to bumping to PHP 7.2
On https://github.com/symfony/symfony/blob/3.4/composer.json#L19 we're good with ^5.5.9|>=7.0.8
But of course, we only require PHP 7.0.0. I suspect most people will have a newer point release... But it does mean our require-dev symfony/yaml will conflict
Filing a separate task
Re-stalling as we have nothing to do until we bump to 7.2 (do we have a task for that to bump this against)

Didn't we already do that with T216166: Drop PHP 7.1 support from MediaWiki?

Not quite

https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/516829/

Why this missed composer.json?

Because at that point we still had to support HHVM, also one Docker image used during build is still running 7.0, James is working on bumping it.

Just need to wait for that to be done

Change 541103 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/vendor@master] symfony 3.4.31 => 4.3.4

https://gerrit.wikimedia.org/r/541103

Change 541105 had a related patch set uploaded (by Jforrester; owner: Reedy):
[mediawiki/core@master] Upgrade symfony/yaml from 3.4.31 to 4.3.4

https://gerrit.wikimedia.org/r/541105

Jdforrester-WMF changed the task status from Stalled to Open.Oct 8 2019, 9:52 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Not stalled. :-)

Change 541103 merged by jenkins-bot:
[mediawiki/vendor@master] Upgrade symfony/* from 3.4.31 to 4.3.4

https://gerrit.wikimedia.org/r/541103

Change 541105 merged by jenkins-bot:
[mediawiki/core@master] Upgrade symfony/yaml from 3.4.31 to 4.3.4

https://gerrit.wikimedia.org/r/541105

Jdforrester-WMF closed this task as Resolved.Oct 10 2019, 9:53 PM
Jdforrester-WMF assigned this task to Reedy.